# List Assets

Retrieves a paginated list of all assets (images, audios, videos) created under your account.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/asset/list": {
      "get": {
        "summary": "List Assets",
        "description": "",
        "operationId": "list-assets",
        "parameters": [
          {
            "name": "folder_id",
            "in": "query",
            "description": "Unique identifier of the folder to retrieve the assets from. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/list-folders\" target=\"_blank\">List Folders</a> endpoint. ",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "file_type",
            "in": "query",
            "description": "Type of the asset to retrieve, for example, `audio`, `video`, or `image`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of assets to return in a single response. Accepts values from 0 to 100. If more than 100 assets are available, use the pagination token to retrieve additional results.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "Pagination token used to retrieve the next set of results when the total number of records exceeds the specified/default limit. _This token is returned in the response and can be included in the next request to continue listing remaining assets. If the token value is `null`, it indicates that all available results have been retrieved._ ",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Assets retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "assets": [
                          {
                            "id": "be0897b9768e4c09b845e71a2cdaa285",
                            "name": "be0897b9768e4c09b845e71a2cdaa285",
                            "file_type": "image",
                            "folder_id": "",
                            "created_ts": 1760939309,
                            "url": "https://dynamic.heygen.ai/image/be0897b9768e4c09b845e71a2cdaa285/original"
                          },
                          {
                            "id": "a37b10b257ef466d9nc8dbae4cde16d9",
                            "name": "a37b10b257ef466d9nc8dbae4cde16d9",
                            "file_type": "audio",
                            "folder_id": "",
                            "created_ts": 1760484210,
                            "url": "https://resource2.heygen.ai/audio/a37b10b257ef466d9nc8dbae4cde16d9/original.mp3"
                          },
                          {
                            "id": "5db11379ad984272943ede312b44567a",
                            "name": "3195394-uhd_3840_2160_25fps.mp4",
                            "file_type": "video",
                            "folder_id": "",
                            "created_ts": 1759756911,
                            "url": "https://resource2.heygen.ai/video/5db11379ad984272943ede312b44567a/original.mp4"
                          }
                        ],
                        "total": 19,
                        "token": "bfJpZCI6ICJlYjDkZjQyNDExYjU0MGg3YmE5YWJmNWNmYTVlMzkyZiIsICJjcmVhdGVkX3RzIjogIjIWMjUtZBHtMDEgMDg6MDQ6MjUifR=="
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "assets": {
                          "type": "array",
                          "items": {
                            "properties": {
                              "id": {
                                "type": "string",
                                "description": "Unique identifier of the asset."
                              },
                              "name": {
                                "type": "string",
                                "description": "ID assigned to the asset."
                              },
                              "file_type": {
                                "type": "string",
                                "description": "Type of the uploaded asset, for example, `audio`, `video`, or `image`."
                              },
                              "folder_id": {
                                "type": "string",
                                "description": "Unique identifier of the folder that contains the asset. Empty if the asset is not stored in a specific folder. "
                              },
                              "created_ts": {
                                "type": "integer",
                                "description": "Unix timestamp when the asset was created. "
                              },
                              "url": {
                                "type": "string",
                                "description": "URL to access or download the asset. "
                              }
                            },
                            "type": "object"
                          },
                          "description": "An array of asset objects. "
                        },
                        "total": {
                          "type": "string",
                          "description": "Total number of assets associated with the account."
                        },
                        "token": {
                          "type": "string",
                          "description": "Pagination token used to retrieve the next set of results when the total exceeds the specified/default response limit."
                        }
                      },
                      "description": "Contains detailed information about the assets. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```